services:
    tvn7.event_voter:
        class: TVn7\EventBundle\Security\EventVoter
        arguments: ['@security.access.decision_manager']
        tags:
            - { name: security.voter }
        public: false

    tvn7.clip_voter:
        class: TVn7\EventBundle\Security\ClipVoter
        arguments: ['@security.access.decision_manager']
        tags:
            - { name: security.voter }
        public: false

    tvn7.master_voter:
        class: TVn7\EventBundle\Security\MasterVoter
        arguments: ['@security.access.decision_manager']
        tags:
            - { name: security.voter }
        public: false

    tvn7.comment_voter:
        class: TVn7\EventBundle\Security\CommentVoter
        arguments: ['@security.access.decision_manager']
        tags:
            - { name: security.voter }
        public: false

    tvn7.event_notifier:
        class: TVn7\EventBundle\Services\Notifier
        arguments: ["@swiftmailer.mailer.spool5m","@doctrine.orm.entity_manager", "@twig", "%default_from%", "@tvn7.notifier", "@security.token_storage"]
        public: true

    tvn7.xmlProject:
        class: TVn7\EventBundle\Services\XmlProject
        arguments: ['%tvn7_event.config%']
        public: true

    tvn7.Xmlvlc:
        class: TVn7\EventBundle\Services\XmlVLC
        arguments: ['%tvn7_event.config%']
        public: true